/*
This program has been developed by students from the bachelor Computer Science at Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
*/

package rpcdriver

import "query-service/internal/entity"

/*
DriverInterface specifies the methods a rpc driver should implement
*/
type DriverInterface interface {
	GetDatabaseInfo(clientID *string, databaseName *string) (*entity.DatabaseInfo, error)
}
